> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Platform Configuration

> Update platform settings, including the default chat model and whether specific AI models are visible to builders.



## OpenAPI

````yaml POST /v1/platform-configurations
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/platform-configurations:
    post:
      tags:
        - platform-configuration
      description: >-
        Update platform settings, including the default chat model and whether
        specific AI models are visible to builders.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                isProductTelemetryEnabled:
                  type: boolean
                isInfraSetupTelemetryEnabled:
                  type: boolean
                maxBarrierSignals:
                  type: integer
                  minimum: 1
                  maximum: 10000
                aiSpecificModelsVisible:
                  type: boolean
                defaultChatModel:
                  anyOf:
                    - oneOf:
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - tier
                            tierId:
                              type: string
                          required:
                            - type
                            - tierId
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - model
                            provider:
                              type: string
                              enum:
                                - openai
                                - openrouter
                                - anthropic
                                - azure
                                - google
                                - activepieces
                                - cloudflare-gateway
                                - custom
                                - bedrock
                                - vertex
                                - mistral
                                - xai
                                - deepseek
                                - zai
                                - qwen
                                - minimax
                                - moonshot
                                - meta
                                - nvidia
                            providerConfigId:
                              type: string
                            modelId:
                              type: string
                          required:
                            - type
                            - provider
                            - providerConfigId
                            - modelId
                    - type: 'null'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    type: string
                  updated:
                    type: string
                  platformId:
                    type: string
                  isProductTelemetryEnabled:
                    type: boolean
                  isInfraSetupTelemetryEnabled:
                    type: boolean
                  maxBarrierSignals:
                    type: integer
                    minimum: 1
                    maximum: 10000
                  aiSpecificModelsVisible:
                    type: boolean
                  defaultChatModel:
                    anyOf:
                      - oneOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - tier
                              tierId:
                                type: string
                            required:
                              - type
                              - tierId
                            additionalProperties: false
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - model
                              provider:
                                type: string
                                enum:
                                  - openai
                                  - openrouter
                                  - anthropic
                                  - azure
                                  - google
                                  - activepieces
                                  - cloudflare-gateway
                                  - custom
                                  - bedrock
                                  - vertex
                                  - mistral
                                  - xai
                                  - deepseek
                                  - zai
                                  - qwen
                                  - minimax
                                  - moonshot
                                  - meta
                                  - nvidia
                              providerConfigId:
                                type: string
                              modelId:
                                type: string
                            required:
                              - type
                              - provider
                              - providerConfigId
                              - modelId
                            additionalProperties: false
                      - type: 'null'
                required:
                  - id
                  - created
                  - updated
                  - platformId
                  - isProductTelemetryEnabled
                  - isInfraSetupTelemetryEnabled
                  - maxBarrierSignals
                  - aiSpecificModelsVisible
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.